curl --request GET \
--url 'https://api.stateset.com/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
GET /api/v1/shipments
GET /api/v1/shipments
GET
/
api
/
v1
/
shipments
curl --request GET \
--url 'https://api.stateset.com/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Query parameters
integer (int64)
integer (int64)
string
Responses
ApiResponse_PaginatedResponse_ShipmentSummary
Shipments listed
ErrorResponse
Unauthorized
ErrorResponse
Forbidden
curl --request GET \
--url 'https://api.stateset.com/api/v1/shipments' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"created_at": "2024-12-09T10:30:00Z",
"delivered_at": null,
"estimated_delivery": "2024-12-12T18:00:00Z",
"id": "990e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_name": "John Doe",
"shipped_at": "2024-12-09T14:30:00Z",
"shipping_address": "123 Main Street, San Francisco, CA 94102, US",
"shipping_method": "express",
"status": "in_transit",
"tracking_number": "1Z999AA10123456784",
"updated_at": "2024-12-09T14:30:00Z"
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI